# Class FloatInt.Data

java.lang.Object
mpi.Struct.Data
mpi.FloatInt.Data

Enclosing class:
  `FloatInt`

public final class FloatInt.Data extends Struct.Data
Class for reading/writing data in a struct stored in a byte buffer.

## Constructor Summary

Constructors
Constructor
Description
`Data()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
Gets the int value.
`float`
`getValue()`
Gets the float value.
`void`
`putIndex(int v)`
Puts the int value.
`void`
`putValue(float v)`
Puts the float value.

### Methods inherited from class Struct.Data

`getBuffer, getBuffer, getBuffer, getByte, getByte, getChar, getChar, getData, getData, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getShort, getShort, putByte, putByte, putChar, putChar, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Data

public Data()

## Method Details

### getValue

public float getValue()
Gets the float value.

Returns:
  float value

### getIndex

public int getIndex()
Gets the int value.

Returns:
  int value

### putValue

public void putValue(float v)
Puts the float value.

Parameters:
  `v` - float value

### putIndex

public void putIndex(int v)
Puts the int value.

Parameters:
  `v` - int value